Libvirt-functions: Difference between revisions

From NovaOrdis Knowledge Base
Jump to navigation Jump to search
(Created page with "=Internal= * Projects Patterns =Overview= A project that offers common bash wrapper functionality in form of a single function file to be sourced in t...")
 
 
(7 intermediate revisions by the same user not shown)
Line 1: Line 1:
=Internal=
=Internal=


* [[Projects#Patterns|Projects Patterns]]
* [[Projects#Secondary_Projects|Projects]]


=Overview=
=Overview=


A project that offers common bash wrapper functionality in form of a single function file to be sourced in the main wrapper.
A project that offers common bash functions associated with managing virtual machines with [[Linux_Virtualization_Concepts#libvirtd|libvirt]].
 
Functionality:
* Build a classpath based on the JAR content of a repository.


=GitHub=
=GitHub=


{{External|https://github.com/NovaOrdis/bash-wrapper-functions}}
{{External|https://github.com/NovaOrdis/libvirt-functions}}


=Usage=
=Usage=


Copy <tt></tt> in the bin directory and refer it as following:
==envc==
 
Environment Control.
Usage:
    envc <command> [command-options]
Commands:
    start [vmid]
        Starts the virtual machine specified by the ID, or the entire environment, if vmid is not specified.
        When the entire environment is started, the startup sequence is phased: the dependencies are started
        first, and the dependents are started after their dependencies.
    stop [vmid]
        Stops (shuts down) the virtual machine specified by the ID, or the entire environment, if vmid is not
        specified. When the entire environment is stopped, the shutdown sequence is phased: the dependents are
        stopped first, and the dependencies are stopped after their dependents.
    status [vmid]
    snapshot <snapshot_tag> [vmid]
    list-snapshots [vmid]
    restore <snapshot_tag> [vmid]
    remove-snapshot <snapshot_tag> [vmid]
 
==libvirt-functions==
 
Copy <tt>libvirt-functions</tt> in the bin directory and refer it as following:


   [ -f $(dirname $0)/bash-wrapper-functions ] && .  $(dirname $0)/bash-wrapper-functions || { echo "$(dirname $0)/bash-wrapper-functions not found" 1>&2; exit 1; }
   [ -f $(dirname $0)/libvirt-functions ] && .  $(dirname $0)/libvirt-functions || { echo "$(dirname $0)/libvirt-functions not found" 1>&2; exit 1; }

Latest revision as of 03:35, 5 July 2017

Internal

Overview

A project that offers common bash functions associated with managing virtual machines with libvirt.

GitHub

https://github.com/NovaOrdis/libvirt-functions

Usage

envc

Environment Control.

Usage:

   envc <command> [command-options]

Commands:

   start [vmid]

       Starts the virtual machine specified by the ID, or the entire environment, if vmid is not specified.
       When the entire environment is started, the startup sequence is phased: the dependencies are started
       first, and the dependents are started after their dependencies.

   stop [vmid]

       Stops (shuts down) the virtual machine specified by the ID, or the entire environment, if vmid is not
       specified. When the entire environment is stopped, the shutdown sequence is phased: the dependents are
       stopped first, and the dependencies are stopped after their dependents.

   status [vmid]

   snapshot <snapshot_tag> [vmid]

   list-snapshots [vmid]

   restore <snapshot_tag> [vmid]

   remove-snapshot <snapshot_tag> [vmid]

libvirt-functions

Copy libvirt-functions in the bin directory and refer it as following:

 [ -f $(dirname $0)/libvirt-functions ] && .  $(dirname $0)/libvirt-functions || { echo "$(dirname $0)/libvirt-functions not found" 1>&2; exit 1; }